
public final class Class225_Sub50 extends Class225 {

   public int anInt8872;
   public static final int anInt8873 = 2;
   public static final int anInt8874 = 4;
   public static final int anInt8875 = 1;
   public static final int anInt8876 = 16;
   public static final int anInt8877 = 32;
   public static final int anInt8878 = 8;
   static Class225_Sub50 aClass225_Sub50_8879 = new Class225_Sub50(0, -1);
   public int anInt8880;
   public static final int anInt8881 = 64;


   public final boolean method14234() {
      return 0 != (-1998914351 * this.anInt8880 >> 23 & 1);
   }

   public final boolean method14235(int var1) {
      return 0 != (this.anInt8880 * -1998914351 & 1);
   }

   public final boolean method14236(int var1, byte var2) {
      return (-1998914351 * this.anInt8880 >> var1 + 1 & 1) != 0;
   }

   public final int method14237(int var1) {
      return Class251_Sub3.method14354(this.anInt8880 * -1998914351, -924891778);
   }

   public final int method14238(int var1) {
      return this.anInt8880 * -1998914351 >> 18 & 7;
   }

   public final boolean method14239(int var1) {
      return 0 != (-1998914351 * this.anInt8880 >> 21 & 1);
   }

   public final boolean method14240(int var1) {
      return (-1998914351 * this.anInt8880 >> 22 & 1) != 0;
   }

   public final boolean method14241(byte var1) {
      return 0 != (-1998914351 * this.anInt8880 >> 23 & 1);
   }

   public final boolean method14242() {
      return 0 != (-1998914351 * this.anInt8880 >> 21 & 1);
   }

   public Class225_Sub50(int var1, int var2) {
      this.anInt8880 = var1 * 2083707953;
      this.anInt8872 = var2 * 1930199221;
   }

   public final int method14243() {
      return Class251_Sub3.method14354(this.anInt8880 * -1998914351, 301654588);
   }

   public final boolean method14244(int var1) {
      return (-1998914351 * this.anInt8880 >> var1 + 1 & 1) != 0;
   }

   public final int method14245() {
      return Class251_Sub3.method14354(this.anInt8880 * -1998914351, -817541590);
   }

   public final boolean method14246() {
      return 0 != (-1998914351 * this.anInt8880 >> 21 & 1);
   }

   static final int method14247(int var0) {
      return var0 >> 11 & 127;
   }

   public final boolean method14248() {
      return 0 != (this.anInt8880 * -1998914351 & 1);
   }

   public final boolean method14249() {
      return 0 != (this.anInt8880 * -1998914351 & 1);
   }

   public final boolean method14250() {
      return 0 != (this.anInt8880 * -1998914351 & 1);
   }

   public final boolean method14251() {
      return (-1998914351 * this.anInt8880 >> 22 & 1) != 0;
   }

   public final int method14252() {
      return this.anInt8880 * -1998914351 >> 18 & 7;
   }

   public static String method14253(byte[] var0, int var1, int var2, int var3) {
      char[] var4 = new char[var2];
      int var5 = 0;
      int var6 = var1;

      int var9;
      for(int var7 = var2 + var1; var6 < var7; var4[var5++] = (char)var9) {
         int var8 = var0[var6++] & 255;
         if(var8 < 128) {
            if(0 == var8) {
               var9 = '\ufffd';
            } else {
               var9 = var8;
            }
         } else if(var8 < 192) {
            var9 = '\ufffd';
         } else if(var8 < 224) {
            if(var6 < var7 && (var0[var6] & 192) == 128) {
               var9 = (var8 & 31) << 6 | var0[var6++] & 63;
               if(var9 < 128) {
                  var9 = '\ufffd';
               }
            } else {
               var9 = '\ufffd';
            }
         } else if(var8 < 240) {
            if(var6 + 1 < var7 && (var0[var6] & 192) == 128 && (var0[var6 + 1] & 192) == 128) {
               var9 = (var8 & 15) << 12 | (var0[var6++] & 63) << 6 | var0[var6++] & 63;
               if(var9 < 2048) {
                  var9 = '\ufffd';
               }
            } else {
               var9 = '\ufffd';
            }
         } else if(var8 < 248) {
            if(2 + var6 < var7 && 128 == (var0[var6] & 192) && 128 == (var0[1 + var6] & 192) && (var0[2 + var6] & 192) == 128) {
               var9 = (var8 & 7) << 18 | (var0[var6++] & 63) << 12 | (var0[var6++] & 63) << 6 | var0[var6++] & 63;
               if(var9 >= 65536 && var9 <= 1114111) {
                  var9 = '\ufffd';
               } else {
                  var9 = '\ufffd';
               }
            } else {
               var9 = '\ufffd';
            }
         } else {
            var9 = '\ufffd';
         }
      }

      return new String(var4, 0, var5);
   }

   static final void method14254(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class19.method791(var3, var4, var0, -1011907605);
   }
}
